git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Java compatibility issues with parquet-mr project


Hi Tal,

parquet-arrow version 1.10.0 depends arrow-(vector|memory|format)-0.1.0.jar.
https://github.com/apache/parquet-mr/blob/apache-parquet-1.10.0/parquet-arrow/pom.xml#L36

I upgraded arrow version to 0.8.0(PARQUET-1128), but reported Java
version mismatching between arrow and parquet later(PARQUET-1278).

https://issues.apache.org/jira/browse/PARQUET-1128
https://issues.apache.org/jira/browse/PARQUET-1278

Although PARQUET-1128 is merged to parquet-mr master branch,
PARQUET-1278 is still opened.

I have tried to change the parquet-arrow dependencies from arrow-0.8.0
to arrow-0.10.0 of master.
But compile failed since added ArrowType to FixedSizeBinary. It may
need to implement some methods for it.

Sorry I could not suggest to address this issue right now.

2018年8月8日(水) 17:42 Tal Yaniv <TalY@xxxxxxxxxx>:
>
> Hi,
>
> I’m still facing issue – https://jira.apache.org/jira/browse/ARROW-2498
>
> Although working with JDK 1.8 , Arrow version 0.10.0 and parquet-arrow version 1.10.0
>
> Error occurs when trying to create SchemaConverter
>
> Any idea what else need to be done?
>
> Thanks,
> TY
>


-- 
高橋 真之



( ! ) Warning: include(msgfooter.php): failed to open stream: No such file or directory in /var/www/git/apache-arrow-development/msg05423.html on line 109
Call Stack
#TimeMemoryFunctionLocation
10.0020364600{main}( ).../msg05423.html:0

( ! ) Warning: include(): Failed opening 'msgfooter.php' for inclusion (include_path='.:/var/www/git') in /var/www/git/apache-arrow-development/msg05423.html on line 109
Call Stack
#TimeMemoryFunctionLocation
10.0020364600{main}( ).../msg05423.html:0